MCPBundler Docs
MCPBundler Docs
Volver al marketplacePrimeros PasosAutenticacionTutorial - De un Bundle a un Agente Conectado
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Bootstrap Agent DeploymentCreate DeploymentRemove Entry CredentialDelete DeploymentGenerate TokenGet DeploymentBind CredentialList Credential MetadataList DeploymentsRename DeploymentRevoke TokenUnbind CredentialUpdate Router ConfigUpdate Token AllowlistsWrite Credential
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceDeployments

Generate Token

POST
/v1/deployments/{deployment_id}/tokens

Generate a new bundler access token for a deployment.

Authorization: caller must own the deployment.

Only the hash of the token is persisted; the plaintext value is returned exactly once in this response and cannot be retrieved again. An optional expiry (body.expiry_days) sets expires_at.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

deployment_id*Deployment Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08/tokens" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "value": "string",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Delete Deployment

Previous Page

Get Deployment

Next Page

name*Name
Length1 <= length <= 128
expiry_days?|null